# General information

Copyright © 2018-2020, INRIA, CNRS, Université de Lorraine. All rights reserved.

@version 1.0
@authors N. AZEVEDO CARVALHO, S. CONTASSOT-VIVIER, L. BUHRY and D. MARTINEZ, 2018-2020.
@date 2018-2020

@version 0.1
@authors W. RAPHA, E. HUGUES, D. MARTINEZ and Y. BONIFACE, 2002-2009.
@date 2002-2009

@copyright [GNU General Public License, version 2](\ref License)
```
 This  program is  free  software; you  can  redistribute it  and/or
 modify it  under the  terms of  the GNU  General Public  License as
 published by the Free Software  Foundation; either version 2 of the
 License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful, but
 WITHOUT  ANY  WARRANTY;  without   even  the  implied  warranty  of
 MERCHANTABILITY or FITNESS  FOR A PARTICULAR PURPOSE.   See the GNU
 General Public License for more details.
```

@section desc Description

The **SiReNe** software aims  at simulating biological neural networks
with adjustable properties (normal state, Parkinson's disease,...).

@section sc Source code

Latest version of the source code is available in the [source code archive](\ref Download)

@section inst Installation

Create a directory and untar the source archive inside it.

Compile the code with the command `make` in the directory containing the source files.

Some compilation settings are available in the `SETTINGS` part of the `Makefile`.

Documentation of the source code can be generated locally via Doxygen:

  - HTML version: `make doc`
  
  - PDF  version: `make pdf`

@section use Use

The **SiReNe**  software is composed  of a set of  source files that are to be
included and linked to a main program file.

In  the present  distribution, an  example of  main file  is given  in
`TestMSN.c` which simulates a MSN network.
