/*******************************************************************************
 * SiReNe software version 1.0
 * Copyright © 2018-2020, INRIA, CNRS, Université de Lorraine. All rights reserved.
 *
 * Authors : N. AZEVEDO CARVALHO, S. CONTASSOT-VIVIER, L. BUHRY and D. MARTINEZ
 * Version : 1.0
 * Years   : 2018-2020
 *
 * License : GNU General Public License, version 2
 *
 * This  program is  free  software; you  can  redistribute it  and/or
 * modify it  under the  terms of  the GNU  General Public  License as
 * published by the Free Software  Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT  ANY  WARRANTY;  without   even  the  implied  warranty  of
 * MERCHANTABILITY or FITNESS  FOR A PARTICULAR PURPOSE.   See the GNU
 * General Public License for more details.
 *
 ******************************************************************************/
/*!
 * @file 
 * @brief Pseudo-random connectivity generator and post-synaptic neurons update
 ******************************************************************************/

#ifndef RANDGENERCONNECT_H
#define RANDGENERCONNECT_H

/*!*****************************************************************************
 * @brief Generation of pseudo-random post-synaptic connections of neuron NeuronNum in model ModelNum
 *
 * The SynapticSpike function is used to update the synaptic current of the post-synaptic neurons.
 *  
 * @param Simulation Structure where all simulation information is stored
 * @param ModelNum   Neural model number
 * @param NeuronNum  Neuron number
 * @param SpikeTime  Spike time
 ******************************************************************************/
extern void RandomConnections(Simul *Simulation, int ModelNum, int NeuronNum, double SpikeTime);

#endif
