/*******************************************************************************
 * SiReNe software version 1.0
 * Copyright © 2018-2020, INRIA, CNRS, Université de Lorraine. All rights reserved.
 *
 * Authors : N. AZEVEDO CARVALHO, S. CONTASSOT-VIVIER, L. BUHRY and D. MARTINEZ
 * Version : 1.0
 * Years   : 2018-2020
 *
 * Authors : W. RAPHA, E. HUGUES, D. MARTINEZ and Y. BONIFACE
 * Version : 0.1
 * Years   : 2002-2009
 *
 * License : GNU General Public License, version 2
 *
 * This  program is  free  software; you  can  redistribute it  and/or
 * modify it  under the  terms of  the GNU  General Public  License as
 * published by the Free Software  Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT  ANY  WARRANTY;  without   even  the  implied  warranty  of
 * MERCHANTABILITY or FITNESS  FOR A PARTICULAR PURPOSE.   See the GNU
 * General Public License for more details.
 *
 ******************************************************************************/
/*!
 * @file 
 * @brief Inlcude file of all components of the SiReNe Software.
 *
 * This file is to be included in the main file program of the simulation.
 ******************************************************************************/

#ifndef SIRENE_COMPONENTS_H
#define SIRENE_COMPONENTS_H

/*******************************************************************************
 * Components of SiReNe software
 ******************************************************************************/
#include "Sirene.h"
#include "BezierInterpolation.h"
#include "Displays.h"
#include "InputCurrents.h"
#include "MSN.h"
#include "Memory.h"
#include "NumericalMethods.h"
#include "RandGenerConnect.h"
#include "Spikes.h"
#include "SynapticCurrent.h"
#include "Updates.h"

#endif
